--
-- c_linetest.lua
--

addEventHandler ( "onClientResourceStart", resourceRoot,
    function ()
		local x, y, z = getElementPosition(localPlayer)
        col = createColSphere ( x, y, z, 1 )
        setDevelopmentMode( true )      
    end
)

addEventHandler ( "onClientRender", root,
    function ()
		local x, y, z = getElementPosition(localPlayer)
		local rx, ry, rz = getElementRotation(localPlayer)

		local pos = Vector3(x,y,z)
		local mat = Matrix( x,y,z, rx,ry,rz )
		
		local fwd = mat:transformPosition( 0,2,0 )
		local up = mat:transformPosition( 0,0,2 )
		local right = mat:transformPosition( 2,0,0 )
		dxDrawLine3D( pos, fwd, tocolor( 255,0,0 ), 2, true )
		dxDrawLine3D( pos, up, tocolor( 0,255,0 ), 4, false )
		dxDrawLine3D( pos, right, tocolor( 0,0,255 ), 2, true )

        if col then
            setElementPosition( col, x, y, z )
        end
    end
)
